Package org.apache.synapse.mediators.bsf

# Class ExtendedJavaScriptXmlHelper

java.lang.Object
org.apache.bsf.xml.XMLHelper
org.apache.bsf.xml.DefaultXMLHelper
org.apache.synapse.mediators.bsf.ExtendedJavaScriptXmlHelper

public class ExtendedJavaScriptXmlHelper extends org.apache.bsf.xml.DefaultXMLHelper
This class will provide the operations to convert between xml elements of scripts and OMElements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedJavaScriptXmlHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axiom.om.OMElement`
  `toOMElement(Object scriptXML)`
  This method will convert the message payload in to xml.
  `Object`
  `toScriptXML(org.apache.axiom.om.OMElement omElement)`
  This method will convert the message payload in to xml string.

  ### Methods inherited from class org.apache.bsf.xml.DefaultXMLHelper

  `toDOMNode, toScriptXML, toScriptXML, toXMLStreamReader`

  ### Methods inherited from class org.apache.bsf.xml.XMLHelper

  `getArgHelper, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedJavaScriptXmlHelper

    public ExtendedJavaScriptXmlHelper()

- ## Method Details

  - ### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(Object scriptXML) throws ScriptException
    This method will convert the message payload in to xml.
    Overrides:
      `toOMElement` in class `org.apache.bsf.xml.DefaultXMLHelper`
    Parameters:
      `scriptXML` - from java script
    Returns:
      XML content as OMElement
    Throws:
      `ScriptException` - when error

  - ### toScriptXML

    public Object toScriptXML(org.apache.axiom.om.OMElement omElement) throws ScriptException
    This method will convert the message payload in to xml string.
    Overrides:
      `toScriptXML` in class `org.apache.bsf.xml.DefaultXMLHelper`
    Parameters:
      `omElement` - axiom element representation of xml document
    Returns:
      xml string by adding the xml content
    Throws:
      `ScriptException` - when error